

(defcustom jbm-iconify-on-open-list nil
 "List of (REGEXP . BOOL) telling to iconify on startup or not.")

(defun jbm-iconify-on-open (w)
        (if (cdr (assoc-regexp (window-name w) jbm-iconify-on-open-list))
                (iconify-window w)
))

(add-hook 'place-window-hook 'jbm-iconify-on-open t)

(custom-set-variable 'jbm-iconify-on-open-list (list '("name of window here" . t) '("" . nil)))

